/**
 * 项目：旅游路线
 * 模型分组：系统管理
 * 模型名称：角色权限对应表
 * @Author: xiongwei
 * @Date: 2024-01-30 09:42:00
 */

package com.xwd.travel.server.rest;

import java.util.List;
import java.util.Arrays;

import cn.dev33.satoken.stp.SaLoginModel;
import cn.dev33.satoken.stp.StpUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.xwd.travel.server.annotation.ApiCommon;
import com.xwd.travel.server.annotation.AuthUser;
import com.xwd.travel.server.base.BaseController;
import com.xwd.travel.server.domain.User;
import com.xwd.travel.server.rest.res.ApiCode;
import com.xwd.travel.server.domain.RoleAuthority;
import com.xwd.travel.server.rest.req.RoleAuthorityParam;
import com.xwd.travel.server.rest.res.ApiResponse;
import com.xwd.travel.server.service.RoleAuthorityService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springdoc.core.annotations.ParameterObject;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Slf4j
@RestController
@Tag(name = "RoleAuthorityController", description = "角色权限对应表管理")
@RequestMapping("/v1/system/role-authority")
public class RoleAuthorityController extends BaseController<RoleAuthorityService, RoleAuthority, RoleAuthorityParam> {

    @Resource
    public void setService(RoleAuthorityService service) {
        this.service = service;
    }




}
