/**
 * 项目：旅游路线
 * 模型分组：系统管理
 * 模型名称：用户表
 * @Author: xiongwei
 * @Date: 2024-01-30 09:42:00
 */

package com.xwd.travel.server.service;

import java.util.List;
import com.xwd.travel.server.base.BaseService;
import com.xwd.travel.server.domain.User;
import com.xwd.travel.server.rest.req.UserParam;

public interface UserService extends BaseService<User> {
    /**
     * 保存
     * @param entity
     * @return
     */
    boolean save(User entity);

    /**
     * 更新
     * @param entity
     * @return
     */
    boolean updateById(User entity);
    /**
     * 登录
     * @param username
     * @param password
     * @return
     */
    User login(String username, String password);

    /**
     * 用户注册
     * @param user
     * @param roleName
     * @return
     */
    User register(User user, String roleName);

    /**
     * 根据username查询
     * @param username
     * @return
     */
    User selectByUsername(String username);

}
