/**
 * 项目：旅游路线
 * 模型分组：服务管理
 * 模型名称：联系方式
 * @Author: xiongwei
 * @Date: 2024-01-30 09:42:00
 */

package com.xwd.travel.server.service.impl;

import java.io.Serializable;
import java.util.List;
import java.util.ArrayList;
import java.util.Collection;

import jakarta.annotation.Resource;
import com.baomidou.mybatisplus.core.enums.SqlMethod;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.xwd.travel.server.service.ContactInfoService;
import com.xwd.travel.server.repository.ContactInfoMapper;
import com.xwd.travel.server.repository.base.ContactInfoBaseMapper;
import com.xwd.travel.server.domain.ContactInfo;
import com.xwd.travel.server.rest.req.ContactInfoParam;

@Service
public class ContactInfoServiceImpl extends ServiceImpl<ContactInfoMapper, ContactInfo> implements ContactInfoService {

    @Override
    public int updateAllFieldsById(ContactInfo entity) {
        return this.getBaseMapper().updateAllFieldsById(entity);
    }

    /**
     * 批量插入
     *
     * @param entityList ignore
     * @param batchSize  ignore
     * @return ignore
     */
    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveBatch(Collection<ContactInfo> entityList, int batchSize) {
        String sqlStatement = SqlHelper.getSqlStatement(ContactInfoBaseMapper.class, SqlMethod.INSERT_ONE);
        return executeBatch(entityList, batchSize, (sqlSession, entity) -> sqlSession.insert(sqlStatement, entity));
    }

    @Override
    public boolean remove(Wrapper<ContactInfo> queryWrapper) {
        return this.getBaseMapper().deleteByQuery(queryWrapper) > 0;
    }


}
